Open CASCADE Technology: Law_Function Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Law_Function Class Referenceabstract

Root class for evolution laws. More...

`#include <Law_Function.hxx>`

Inheritance diagram for Law_Function:
[legend]

## Public Member Functions
virtual GeomAbs_Shape | Continuity () const =0
virtual Standard_Integer | NbIntervals (const GeomAbs_Shape S) const =0
| Returns the number of intervals for continuity <S>. May be one if Continuity(me) >= <S> More...
virtual void | Intervals (TColStd_Array1OfReal &T, const GeomAbs_Shape S) const =0
| Stores in <T> the parameters bounding the intervals of continuity <S>. More...
virtual Standard_Real | Value (const Standard_Real X)=0
| Returns the value of the function at the point of parameter X. More...
virtual void | D1 (const Standard_Real X, Standard_Real &F, Standard_Real &D)=0
| Returns the value F and the first derivative D of the function at the point of parameter X. More...
virtual void | D2 (const Standard_Real X, Standard_Real &F, Standard_Real &D, Standard_Real &D2)=0
| Returns the value, first and seconde derivatives at parameter X. More...
virtual Handle< Law_Function > | Trim (const Standard_Real PFirst, const Standard_Real PLast, const Standard_Real Tol) const =0
| Returns a law equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. It is usfule to determines the derivatives in these values <First> and <Last> if the Law is not Cn. More...
virtual void | Bounds (Standard_Real &PFirst, Standard_Real &PLast)=0
| Returns the parametric bounds of the function. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Root class for evolution laws.

## Member Function Documentation

virtual void Law_Function::Bounds | ( | Standard_Real & | PFirst,
|  | Standard_Real & | PLast
| ) |  |
| pure virtual

Returns the parametric bounds of the function.

Implemented in Law_Composite, Law_Linear, Law_BSpFunc, and Law_Constant.

virtual GeomAbs_Shape Law_Function::Continuity | ( |  | ) | const
| pure virtual

Implemented in Law_Composite, Law_Linear, Law_BSpFunc, and Law_Constant.

virtual void Law_Function::D1 | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | D
| ) |  |
| pure virtual

Returns the value F and the first derivative D of the function at the point of parameter X.

Implemented in Law_Composite, Law_BSpFunc, Law_Linear, and Law_Constant.

virtual void Law_Function::D2 | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | D,
|  | Standard_Real & | D2
| ) |  |
| pure virtual

Returns the value, first and seconde derivatives at parameter X.

Implemented in Law_Composite, Law_Linear, Law_BSpFunc, and Law_Constant.

virtual void Law_Function::Intervals | ( | TColStd_Array1OfReal & | T,
|  | const GeomAbs_Shape | S
| ) |  | const
| pure virtual

Stores in <T> the parameters bounding the intervals of continuity <S>.

The array must provide enough room to accomodate for the parameters. i.e. T.Length() > NbIntervals()

Implemented in Law_Composite, Law_BSpFunc, Law_Linear, and Law_Constant.

virtual Standard_Integer Law_Function::NbIntervals | ( | const GeomAbs_Shape | S | ) | const
| pure virtual

Returns the number of intervals for continuity <S>. May be one if Continuity(me) >= <S>

Implemented in Law_Composite, Law_Linear, Law_BSpFunc, and Law_Constant.

virtual Handle< Law_Function > Law_Function::Trim | ( | const Standard_Real | PFirst,
|  | const Standard_Real | PLast,
|  | const Standard_Real | Tol
| ) |  | const
| pure virtual

Returns a law equivalent of <me> between parameters <First> and <Last>. <Tol> is used to test for 3d points confusion. It is usfule to determines the derivatives in these values <First> and <Last> if the Law is not Cn.

Implemented in Law_Composite, Law_Linear, Law_BSpFunc, and Law_Constant.

virtual Standard_Real Law_Function::Value | ( | const Standard_Real | X | ) |
| pure virtual

Returns the value of the function at the point of parameter X.

Implemented in Law_Composite, Law_BSpFunc, Law_Linear, and Law_Constant.

The documentation for this class was generated from the following file:

- Law_Function.hxx